diff --git a/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js b/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
index 1e85754..cb3fb96 100644
--- a/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
+++ b/web/pgadmin/dashboard/templates/dashboard/js/dashboard.js
@@ -281,7 +281,7 @@ function(r, $, pgAdmin, _, Backbone) {
             var grid = new Backgrid.Grid({
               columns: columns,
               collection: data,
-              className: "backgrid table-bordered table-striped"
+              className: "backgrid table-bordered presentation table backgrid-striped"
             });
 
             // Render the grid
diff --git a/web/pgadmin/static/css/overrides.css b/web/pgadmin/static/css/overrides.css
index 0567567..2728d78 100755
--- a/web/pgadmin/static/css/overrides.css
+++ b/web/pgadmin/static/css/overrides.css
@@ -506,6 +506,7 @@ fieldset[disabled] .form-control {
 
 .table-bordered > thead > tr > td, .table-bordered > thead > tr > th {
     border-bottom-width: 1px;
+    padding: 3px;
 }
 
 .subnode > table.backgrid{
@@ -521,7 +522,6 @@ fieldset[disabled] .form-control {
 
 .backgrid > thead > th, .backgrid > tbody > td {
   line-height: 18px;
-  font-size: 12px;
 }
 
 .backgrid > thead > th {
@@ -537,6 +537,7 @@ fieldset[disabled] .form-control {
 
 .backgrid > thead th a {
     color: white;
+    font-size: 12px;
 }
 
 .backgrid > th.object {
@@ -1481,3 +1482,10 @@ body {
     border-color: #245580;
     border-radius: 4px;
 }
+
+.dashboard-tab-container table,
+.pg-panel-statistics-container table,
+.pg-panel-depends-container table,
+.pg-panel-depends-container table {
+  font-size: 12px !important;
+}
\ No newline at end of file
